Skip to main content
POST
/
dispatch
Create a new API from a URL
curl --request POST \
  --url https://api.parse.bot/dispatch \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "url": "<string>",
  "task": "<string>",
  "force_new": false
}
'
{
  "task_id": "<string>",
  "matched": true,
  "test_inputs": "<array>",
  "may_require_auth": false
}

Authorizations

X-API-Key
string
header
required

API key for programmatic access. Get yours at https://parse.bot or via POST /account/api-key with JWT auth.

Body

application/json
url
string
required

Website URL to generate an API from

task
string | null

Natural language description of the data you need (e.g. 'get product prices and reviews')

force_new
boolean
default:false

Skip marketplace match and always build from scratch

Response

200 - application/json

Task created or matched

task_id
string
required

Unique task identifier — use this to poll for status

matched
boolean
required

True if an existing API was found for this URL

test_inputs
array | null

Suggested test parameters for each endpoint (when matched)

may_require_auth
boolean
default:false

True if the task likely requires authentication credentials